Subject: bug#44418: 28.0.50; Spliced variable not matched as symbol in isearch

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Jun 2023 13:11:59 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Thu, 22 Jun 2023 10:50:18 +0200
> Cc: [email-masked],
>  [email-masked],
>  [email-masked],
>  [email-masked]
> 
> > If this changes user-facing behavior or behavior of public functions,
> > I think we must call this out in NEWS, under "incompatible changes".
> 
> This is just a bug fix, not a change to documented or otherwise intended behaviour.

Whether it was intended is not necessarily relevant.  It could be
known long-standing behavior that became a de-facto standard.  Which
is why I think we should call it out.

If you are unwilling to mention this in NEWS, please describe the
change and I will add to NEWS what I think needs to be added.

TIA